#include "QuantumState.h"

const std::vector<Qubit>& QuantumState::getData() const
{
	return mState;
}

std::string QuantumState::toString() const
{
	std::string out;
	std::size_t count{ 0 };
	for (const auto& qubit : mState)
	{
		out += "|" + qubit.toString() + "\n";
	}
	return out;
}